/*   This is part of ALE4Net
 *   Application Level Environment for Networking
 *   
 *   Copyright 2004 Renzo Davoli University of Bologna - Italy
 *   
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License along
 *   with this program; if not, write to the Free Software Foundation, Inc.,
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */   
/*
 * Neelkanth Natu (neelnatu@yahoo.com) is the author of this file.
 * As long as you keep this blurb in the file, feel free to do whatever.
 */ 
#ifndef ALPINE_SUPPORT
#define ALPINE_SUPPORT

#include <sys/types.h>
#include <sys/time.h>
#include <stdarg.h>

extern int alpine_bcmp(const void *s1, const void *s2, size_t n);
extern void alpine_bcopy(const void *src, void *dest, size_t n);
extern void alpine_bzero(void *s, size_t n);

extern void *alpine_malloc(size_t size);
extern void *alpine_calloc(size_t nmemb, size_t size);
extern void *alpine_realloc(void *ptr, size_t size);
extern void alpine_free(void *ptr);

extern int alpine_gettimeofday(struct timeval *tv, struct timezone *tz);

extern void *alpine_memcpy(void *dest, const void *src, size_t n);
extern void *alpine_memmove(void *dest, const void *src, size_t n);

extern int alpine_putchar(int c);
extern int alpine_puts(const char *s);

extern int alpine_vprintf(const char *format, va_list ap);
extern int alpine_vsprintf(char *str, const char *format, va_list ap);
extern int alpine_vsnprintf(char *str, size_t size, const char *format, 
			    va_list ap);

extern int alpine_sigpipe(void);
#endif	/* ifndef ALPINE_SUPPORT */
